This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 779492 - (SOA-1876) Upgrade smooks to 1.2.5
Upgrade smooks to 1.2.5
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB, Performance (Show other bugs)
5.0.0 ER7
Unspecified Unspecified
high Severity high
: ---
: 5.0.0 GA,5.0.0 ER8
Assigned To: Kevin Conner
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-25 10:44 EST by Kevin Conner
Modified: 2010-02-03 10:43 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-03 10:43:49 EST
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-1876 None None None Never

  None (edit)
Description Kevin Conner 2010-01-25 10:44:40 EST
Date of First Response: 2010-01-25 12:13:29
project_key: SOA
Comment 1 Kevin Conner 2010-01-25 10:45:04 EST
Link: Added: This issue depends JBESB-3148
Comment 2 Kevin Conner 2010-01-25 10:51:10 EST
ESB codebase has been updated, will be in next merge.
Comment 3 Tom Fennelly 2010-01-25 12:13:29 EST
So what is this optimization? .....

Basically, if the Smooks configuration passes the following tests:

1. Has just an XSL config in it (nothing else).
2. The XSL config is targeted at the whole message i.e. the "#document" or "/" fragment i.e. not a sub-fragment of the message.
3. Is using the default (XML) reader config i.e. is not configured with a reader for CSV, JSON, EDI etc

The XSLT will be applied directly, bypassing the Smooks fragment filtering process completely.
Comment 4 Len DiMaggio 2010-02-03 10:43:48 EST
Verified in ER8:

[ldimaggi@ldimaggi jboss-as]$ pwd
/jboss/local/50_ER8/jboss-soa-p.5.0.0/jboss-as
[ldimaggi@ldimaggi jboss-as]$ find . -name "*smooks*" -print | grep -v quickstart
./server/all/deploy/soapui-client.sar/META-INF/smooks-creators.xml
./server/all/deploy/smooks.esb
./server/all/deploy/smooks.esb/jbossesb-smooks.jar
./server/all/deploy/smooks.esb/META-INF/xsd/jbossesb/smooks
./server/all/deploy/smooks.esb/META-INF/xsd/jbossesb/smooks/routing-1.0.xsd-smooks.xml
./server/all/deployers/esb.deployer/lib/milyn-smooks-edi-1.2.5.jar
./server/all/deployers/esb.deployer/lib/milyn-smooks-routing-1.2.5.jar
./server/all/deployers/esb.deployer/lib/milyn-smooks-json-1.2.5.jar
./server/all/deployers/esb.deployer/lib/milyn-smooks-ejc-1.2.5.jar
./server/all/deployers/esb.deployer/lib/milyn-smooks-css-1.2.5.jar
./server/all/deployers/esb.deployer/lib/milyn-smooks-validation-1.2.5.jar
./server/all/deployers/esb.deployer/lib/milyn-smooks-calc-1.2.5.jar
./server/all/deployers/esb.deployer/lib/milyn-smooks-servlet-1.2.5.jar
./server/all/deployers/esb.deployer/lib/milyn-smooks-templating-1.2.5.jar
./server/all/deployers/esb.deployer/lib/milyn-smooks-javabean-1.2.5.jar
./server/all/deployers/esb.deployer/lib/milyn-smooks-rules-1.2.5.jar
./server/all/deployers/esb.deployer/lib/milyn-smooks-persistence-1.2.5.jar
./server/all/deployers/esb.deployer/lib/milyn-smooks-csv-1.2.5.jar
./server/all/deployers/esb.deployer/lib/milyn-smooks-scripting-1.2.5.jar
./server/all/deployers/esb.deployer/lib/milyn-smooks-core-1.2.5.jar
./server/all/deployers/esb.deployer/lib/milyn-smooks-misc-1.2.5.jar
./server/production/deploy/soapui-client.sar/META-INF/smooks-creators.xml
./server/production/deploy/smooks.esb
./server/production/deploy/smooks.esb/jbossesb-smooks.jar
./server/production/deploy/smooks.esb/META-INF/xsd/jbossesb/smooks
./server/production/deploy/smooks.esb/META-INF/xsd/jbossesb/smooks/routing-1.0.xsd-smooks.xml
./server/production/deployers/esb.deployer/lib/milyn-smooks-edi-1.2.5.jar
./server/production/deployers/esb.deployer/lib/milyn-smooks-routing-1.2.5.jar
./server/production/deployers/esb.deployer/lib/milyn-smooks-json-1.2.5.jar
./server/production/deployers/esb.deployer/lib/milyn-smooks-ejc-1.2.5.jar
./server/production/deployers/esb.deployer/lib/milyn-smooks-css-1.2.5.jar
./server/production/deployers/esb.deployer/lib/milyn-smooks-validation-1.2.5.jar
./server/production/deployers/esb.deployer/lib/milyn-smooks-calc-1.2.5.jar
./server/production/deployers/esb.deployer/lib/milyn-smooks-servlet-1.2.5.jar
./server/production/deployers/esb.deployer/lib/milyn-smooks-templating-1.2.5.jar
./server/production/deployers/esb.deployer/lib/milyn-smooks-javabean-1.2.5.jar
./server/production/deployers/esb.deployer/lib/milyn-smooks-rules-1.2.5.jar
./server/production/deployers/esb.deployer/lib/milyn-smooks-persistence-1.2.5.jar
./server/production/deployers/esb.deployer/lib/milyn-smooks-csv-1.2.5.jar
./server/production/deployers/esb.deployer/lib/milyn-smooks-scripting-1.2.5.jar
./server/production/deployers/esb.deployer/lib/milyn-smooks-core-1.2.5.jar
./server/production/deployers/esb.deployer/lib/milyn-smooks-misc-1.2.5.jar
./server/default/deploy/soapui-client.sar/META-INF/smooks-creators.xml
./server/default/deploy/smooks.esb
./server/default/deploy/smooks.esb/jbossesb-smooks.jar
./server/default/deploy/smooks.esb/META-INF/xsd/jbossesb/smooks
./server/default/deploy/smooks.esb/META-INF/xsd/jbossesb/smooks/routing-1.0.xsd-smooks.xml
./server/default/deployers/esb.deployer/lib/milyn-smooks-edi-1.2.5.jar
./server/default/deployers/esb.deployer/lib/milyn-smooks-routing-1.2.5.jar
./server/default/deployers/esb.deployer/lib/milyn-smooks-json-1.2.5.jar
./server/default/deployers/esb.deployer/lib/milyn-smooks-ejc-1.2.5.jar
./server/default/deployers/esb.deployer/lib/milyn-smooks-css-1.2.5.jar
./server/default/deployers/esb.deployer/lib/milyn-smooks-validation-1.2.5.jar
./server/default/deployers/esb.deployer/lib/milyn-smooks-calc-1.2.5.jar
./server/default/deployers/esb.deployer/lib/milyn-smooks-servlet-1.2.5.jar
./server/default/deployers/esb.deployer/lib/milyn-smooks-templating-1.2.5.jar
./server/default/deployers/esb.deployer/lib/milyn-smooks-javabean-1.2.5.jar
./server/default/deployers/esb.deployer/lib/milyn-smooks-rules-1.2.5.jar
./server/default/deployers/esb.deployer/lib/milyn-smooks-persistence-1.2.5.jar
./server/default/deployers/esb.deployer/lib/milyn-smooks-csv-1.2.5.jar
./server/default/deployers/esb.deployer/lib/milyn-smooks-scripting-1.2.5.jar
./server/default/deployers/esb.deployer/lib/milyn-smooks-core-1.2.5.jar
./server/default/deployers/esb.deployer/lib/milyn-smooks-misc-1.2.5.jar
[ldimaggi@ldimaggi jboss-as]$ 


Note You need to log in before you can comment on or make changes to this bug.